> For the complete documentation index, see [llms.txt](https://docs.roomiekit.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roomiekit.io/reference/asset-naming.md).

# Asset naming conventions

Local overrides live under:

```
web/public/roomie-local/
```

Common branding files:

```
branding/logo.svg
branding/logo-wordmark.svg
branding/favicon.svg
branding/app-icon.png
branding/cards/lounge.png
branding/cards/theater.png
branding/cards/hex-arena.jpg
branding/icons/coin.png
```

Common avatar files:

```
avatars/body3.glb
avatars/Head/head_<gender>_skinTone<tone>_hairColor<color>_hairstyle<style>.jpg
avatars/Body/body_<gender>_outfit<outfit>_skinTone<tone>.jpg
avatars/Feet/feet_<gender><feet>.jpg
avatars/thumbnails/thumb_outfit_<gender>_<id>.png
avatars/thumbnails/thumb_hair_<gender>_<id>.png
avatars/thumbnails/thumb_shoes_<gender>_<id>.png
avatars/thumbnails/thumb_skin_<gender>_<id>.png
avatars/thumbnails/thumb_costume_<id>.png
```

Room and world assets should match existing canonical names such as:

```
rooms/lounge6.glb
rooms/theater2.glb
cartoon_tv.glb
call.glb
hexagon.glb
```

For the full folder map, see [Customization](/open-source-starter/customization.md) and [Asset folders](/open-source-starter/assets.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.roomiekit.io/reference/asset-naming.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
